# Passe à macro-rugosités

Le module de calcul passe à macro-rugosités permet de calculer les caractéristiques d'une passe à macro-rugosités constituée de blocs uniformément répartis avec des espacements transversaux \(ay\) et longitudinaux \(ay\) égaux.

![Schéma d'une disposition régulière des enrochements et notations](pam_schema_enrochement_regulier.png)

*Extrait de Larinier et al., 2006[^1]*

[^1]: Larinier, Michel, Courret, D., Gomes, P., 2006. Guide technique pour la conception des passes à poissons “naturelles,” Rapport GHAPPE RA. Compagnie Nationale du Rhône / Agence de l’Eau Adour Garonne. http://dx.doi.org/10.13140/RG.2.1.1834.8562


L'outil permet de calculer l'une des valeurs suivantes :

- La largeur de la passe (m) ;
- La pente de la passe (m) ;
- Le débit (m<sup>3</sup>/s) ;
- La profondeur \(h\) (m) ;
- La concentration des blocs \(C\).

Il nécessite d'entrer les valeurs suivantes :

- La cote de fond amont (m) ;
- La longueur de la passe (m) ;
- La rugosité de fond (m) ;
- La largeur des blocs \(D\) face à l’écoulement (m) ;
- La hauteur utile des blocs \(k\) (m) ;
- Le paramètre de forme des blocs (1 pour rond, 2 pour carré)

L'espacement entre les blocs se calcule ensuite avec la formule suivante :

$$ax = ay = \frac{D}{\sqrt{C}}$$
