# Principe de fonctionnement d'un module de calcul

Les modules de calcul de Cassiopée permettent chacun de calculer une grandeur au choix parmi celles intervenant dans une ou plusieurs équations.

## Ouvrir un nouveau module de calcul

![Bandeau supérieur de l'application avec le menu, la liste des modules ouverts et le bouton pour ajouter un nouveau module](principe_fonctionnement_bandeau_superieur.png)

La liste des modules est disponible au lancement de l'application. Après avoir ouvert un nouveau module de calcul, cette liste est disponible via le bouton "+" situé dans le bandeau supérieur ou par le menu "☰" puis le lien "Nouveau module de calcul" situé dans le menu.

La liste des modules ouverts apparaît dans le bandeau supérieur et permet de naviguer entre les modules ouverts.

## Comment s'opèrent les choix pour effectuer un calcul ou une série de calcul ?

Le module se présente sous la forme d'une série de grandeurs intervenant dans l'équation.

![Série de grandeurs du module de calcul du volume des bassins d'une passe à bassin](principe_fonctionnement_grandeurs.png)

 et pour chacune d'entre elle, l'utilisateur peut au choix :

- Fixer une grandeur (Bouton "FIXÉ");
- Choisir la grandeur qui sera calculée (Bouton "CALCULER");
- Choisir la grandeur qui varie afin d'effectuer une série de calcul (Bouton "VARIER")

L'interface est conçue pour qu'une grandeur et une seule soit choisie pour le calcul et pour qu'au plus une grandeur varie pour effectuer une série de calcul.

Les grandeurs qui ne peuvent être calculées ne sont pas pourvues du bouton "CALCULER".

## Comment faire varier une grandeur pour effectuer une série de calculs

Une série de calculs peut être lancée entre une valeur min et une valeur max pour un pas donné :

![Définition des valeurs mni, max et du pas pour une grandeur à varier](principe_fonctionnement_varie_pas.png)

Ou pour une liste de valeurs définies :

![Définition d'une liste de valeurs pour une grandeur à varier](principe_fonctionnement_varie_liste.png)


## Comment lancer un calcul ou une série de calcul

Cliquer sur le bouton "Calculer" situé au bas de l'écran.

## Les résultats du calcul

Pour des grandeurs fixées, le panneau de résultat affiche les grandeurs fixées et la grandeur calculée ainsi que d'éventuels résultats complémentaires.

![Résultat d'un calcul pour des grandeurs fixées](principe_fonctionnement_resultat_fix.png)

Pour une grandeur qui varie, le panneau de résultat affiche un graphique d'évolution de la grandeur calculée en fonction de la grandeur qui varie, un tableau reprenant les grandeurs fixées et un tableau reprenant les valeurs de la grandeur qui varie, les valeurs de la grandeur calculée et les valeurs des éventuels résultats complémentaires.

![Résultat d'une série de calculs pour une grandeur qui varie](principe_fonctionnement_resultat_var.png)
