import { AppPage } from "./app.po";
import { ListPage } from "./list.po";
import { CalculatorPage } from "./calculator.po";
import { Navbar } from "./navbar.po";
import { SideNav } from "./sidenav.po";
import { browser, by } from "protractor";

describe("Lechapt-Calmon", () => {
  let listPage: ListPage;
  let calcPage: CalculatorPage;
  let navBar: Navbar;
  let startPage: AppPage;
  let sidenav: SideNav;

  beforeEach(() => {
    listPage = new ListPage();
    calcPage = new CalculatorPage();
    navBar = new Navbar();
    startPage = new AppPage();
    sidenav = new SideNav();

  });

  it(" − material selector should modify input values", async () => {
    // create a Lechapt-Calmon
    await startPage.navigateTo();
    await listPage.clickMenuEntryForCalcType(1);
    const L = calcPage.getInputById("L");
    const M = calcPage.getInputById("M");
    const N = calcPage.getInputById("N");

    // check default values for L, M, N
    expect(await L.getAttribute("value")).toBe("1.863");
    expect(await M.getAttribute("value")).toBe("2");
    expect(await N.getAttribute("value")).toBe("5.33");

    // change material
    const selectMaterial = calcPage.getSelectById("select_material");
    await calcPage.changeSelectValue(selectMaterial, 4);

    // check default values for L, M, N
    expect(await L.getAttribute("value")).toBe("1.16");
    expect(await M.getAttribute("value")).toBe("1.93");
    expect(await N.getAttribute("value")).toBe("5.11");
  });

});
