import { by, element } from "protractor";

export class Navbar {
  getAllCalculatorTabs() {
    return element.all(by.css("#tabs-container > button.calculator-button"));
  }

  getCalculatorTabForUid(uid: string) {
    return element(by.css("#tabs-container > button.calculator-button.calculator-uid-" + uid));
  }

  getNewCalculatorButton() {
    return element(by.css("#new-calculator"));
  }

  getMenuButton() {
    return element(by.css("#open-menu"));
  }

  async clickCalculatorTab(n: number) {
    const tabs = this.getAllCalculatorTabs();
    await tabs.get(n).click();
  }

  async clickCalculatorTabForUid(uid: string) {
    const tab = this.getCalculatorTabForUid(uid);
    await tab.click();
  }

  async clickRandomCalculatorTab(n: number) {
    const tabs = this.getAllCalculatorTabs();
    const l = await tabs.count();
    const r = Math.min((Math.floor(Math.random() * l)), (l - 1));
    await tabs.get(r).click();
  }

  async clickNewCalculatorButton() {
    const ncb = this.getNewCalculatorButton();
    await ncb.click();
  }

  async clickMenuButton() {
    const ncb = this.getMenuButton();
    await ncb.click();
  }
}
