import { IObservable, Observer, Session, SectionNub } from "jalhyd";
import { FormDefSection } from "../form-def-section";
import { FieldSet } from "../../fieldset";
import { FormulaireBase } from "./form-base";

export class FormulaireRegimeUniforme extends FormulaireBase implements Observer {

    private _formSection: FormDefSection;

    constructor() {
        super();
        this._formSection = new FormDefSection(this);
    }

    protected parseOptions(json: {}) {
        super.parseOptions(json);
        this._formSection.parseOptions(json);
    }

    public afterParseFieldset(fs: FieldSet) {
        this._formSection.afterParseFieldset(fs);
    }

    protected completeParse(json: {}) {
        super.completeParse(json);
    }

    // interface Observer

    update(sender: IObservable, data: any) {

        super.update(sender, data);

        // changement de propriété du FieldSet contenant le select de choix du type de section
        if (sender instanceof FieldSet && sender.id === "fs_section" && data.action === "propertyChange") {
            // replace underlying section without replacing whole Nub
            const newSect = Session.getInstance().createSection(sender.properties.getPropValue("nodeType"));
            (this._currentNub as SectionNub).setSection(newSect);
            // reflect changes in GUI
            for (const fs of this.allFieldsets) {
                // show / hide dependent fields
                fs.updateFields();
            }
            this.reset();
        }
    }
}
