import { FormulaireDefinition } from "./form-definition";
import { FormResult } from "./form-result";
import { CalculatorResults } from "../../results/calculator-results";
import { PabResults } from "../../results/pab-results";

export class FormResultPab extends FormResult {

    protected _formBase: FormulaireDefinition;

    protected _pabResults: PabResults;

    constructor(base: FormulaireDefinition) {
        super();
        this._formBase = base;
        this._pabResults = new PabResults();
    }

    public get pabResults() {
        return this._pabResults;
    }

    public resetResults() {
        this._pabResults.reset();
    }

    public get results(): CalculatorResults[] {
        return [ this._pabResults ];
    }

    public get hasResults(): boolean {
        return this._pabResults.hasResults;
    }
}
